低危 hci_uart_set_flow_control中的空指针取消引用

CVE编号

CVE-2019-10207

利用情况

POC 已公开

补丁情况

官方补丁

披露时间

2019-11-26
漏洞描述
在Linux内核的UART的蓝牙实现中发现了一个缺陷。对蓝牙硬件具有本地访问和写权限的攻击者可能会利用这个漏洞发出一个专门设计的ioctl函数调用,从而导致系统崩溃。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=b36a1552d7319bbfd5cf7f08726c23c5c66d4f73
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 centos_7 kernel * Up to
(excluding)
3.10.0-1127.el7
运行在以下环境
系统 centos_8 kernel * Up to
(excluding)
4.18.0-147.el8
运行在以下环境
系统 debian_10 linux * Up to
(excluding)
4.19.37-5+deb10u2
运行在以下环境
系统 debian_11 linux * Up to
(excluding)
5.2.6-1
运行在以下环境
系统 debian_12 linux * Up to
(excluding)
5.2.6-1
运行在以下环境
系统 debian_8 linux * Up to
(excluding)
3.16.57-1
运行在以下环境
系统 debian_9 linux * Up to
(excluding)
4.9.168-1+deb9u5
运行在以下环境
系统 debian_sid linux * Up to
(excluding)
5.2.6-1
运行在以下环境
系统 fedora_30 kernel * Up to
(excluding)
5.2.5-200.fc30
运行在以下环境
系统 linux linux_kernel * From
(including)
3.0
Up to
(excluding)
4.18.0
运行在以下环境
系统 linux linux_kernel * From
(including)
5.0
Up to
(including)
5.4
运行在以下环境
系统 opensuse_Leap_15.0 kernel * Up to
(excluding)
4.12.14-lp150.12.70.1
运行在以下环境
系统 opensuse_Leap_15.1 kernel * Up to
(excluding)
4.12.14-lp151.28.13.1
运行在以下环境
系统 oracle_6 kernel * Up to
(excluding)
4.1.12-124.57.1.el7uek
运行在以下环境
系统 oracle_7 kernel * Up to
(excluding)
4.14.35-1902.6.6.el7uek
运行在以下环境
系统 oracle_8 kernel * Up to
(excluding)
4.18.0-147.el8
运行在以下环境
系统 redhat_7 kernel-rt * Up to
(excluding)
3.10.0-1127.el7
运行在以下环境
系统 redhat_8 kernel * Up to
(excluding)
4.18.0-147.el8
运行在以下环境
系统 suse_12 kernel-default-extra * Up to
(excluding)
4.12.14-120
运行在以下环境
系统 suse_12_SP4 kernel * Up to
(excluding)
4.12.14-95.32.1
运行在以下环境
系统 ubuntu_16.04 linux * Up to
(excluding)
4.15.0-60.67~16.04.1
运行在以下环境
系统 ubuntu_16.04.7_lts linux * Up to
(excluding)
4.4.0-165.193
运行在以下环境
系统 ubuntu_18.04 linux * Up to
(excluding)
4.15.0-1042.45
运行在以下环境
系统 ubuntu_18.04.5_lts linux * Up to
(excluding)
4.15.0-60.67
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    POC 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况